<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Bladeburner](./bitburner.bladeburner.md) &gt; [upgradeSkill](./bitburner.bladeburner.upgradeskill.md)

## Bladeburner.upgradeSkill() method

Upgrade skill.

<b>Signature:</b>

```typescript
upgradeSkill(name: string): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  name | string |  |

<b>Returns:</b>

boolean

true if the skill is successfully upgraded, and false otherwise.

## Remarks

RAM cost: 4 GB

Attempts to upgrade the specified Bladeburner skill.

Returns true if the skill is successfully upgraded, and false otherwise.

